clear
clc
G = tf(1,[1 -1]);
W = 0.25*tf([1/2 1],[1/32 1]); 
InputUnc = ultidyn('InputUnc',[1 1]);
Gpert = G*(1+InputUnc*W);
Wp = tf([1/4 0.6],[1 0.006]);
P = [Wp; 1 ]*[1 Gpert];
fmu = logspace(-2,4,60);
opt = dksynOptions('FrequencyVector',fmu,'NumberofAutoIterations',4,...
    'DisplayWhileAutoIter','on');
[K,clp,bnd,dkinfo] = dksyn(P,1,1,opt); 
K=zpk(K);
K1=zpk(dkinfo{1}.K)
K4=zpk(dkinfo{4}.K)
figure(2)
clf
semilogx(dkinfo{1,1}.MussvBnds(:,2)),hold
semilogx(dkinfo{1,2}.MussvBnds(:,2),'k-.'), semilogx(dkinfo{1,3}.MussvBnds(:,2),'g--'),
semilogx(dkinfo{1,4}.MussvBnds(:,2),'r:')
legend('\mu_1', '\mu_2', '\mu_3', '\mu_4')

